conversion.hpp File Reference

## Functions

template<typename Cont , typename Rng >
CPP_TEMPLATE_AUX_0 | ranges::a (requires ` range< Rng > &&detail::convertible_to_cont< Rng, Cont >) aaauto to(Rng &&rng) -> Cont
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<template< typename... > class ContT, typename Rng >
CPP_TEMPLATE_AUX_0 | ranges::a (requires ` range< Rng > &&detail::convertible_to_cont< Rng, ContT< range_value_t< Rng >>>) aaauto to(Rng &&rng) -> ContT< range_value_t< Rng >>
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<template< typename... > class ContT>
auto | ranges::to () -> detail::to_container_fn< detail::from_range< ContT >>
| For initializing a container of the specified type with the elements of an Range. More...

## Variables

constexpr detail::to_container_fn< detail::from_range< std::vector > > | ranges::to_vector {}